petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPRichardsonSetScale

Set the damping factor; if this routine is not called, the factor defaults to 1.0.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPRichardsonSetScale(KSP ksp,PetscReal scale)

Logically Collective on ksp

### Input Parameters

| ksp | - the iterative context
| scale | - the relaxation factor

### Options Database Keys

-ksp_richardson_self <scale> -Set the scale factor

### Level

intermediate

### Location

src/ksp/ksp/impls/rich/richscale.c

### Implementations

KSPRichardsonSetScale_Richardson in src/ksp/ksp/impls/rich/rich.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages